---
updatedAt: 2026-09-26T02:51:07.000Z
agentTools:
  projectIndex: https://developers.dialpad.com/llms.txt
---

# Fax Event -- Update

Updates a fax event subscription by id.

Requires scope: ``fax_message``

Rate limit: 1200 per minute.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "protos.fax_event_subscription.FaxEventSubscriptionProto": {
        "properties": {
          "direction": {
            "description": "The fax direction this event subscription subscribes to.",
            "enum": [
              "all",
              "inbound",
              "outbound",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          },
          "enabled": {
            "default": true,
            "description": "Whether or not the fax event subscription is enabled.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "id": {
            "description": "The event subscription's ID, which is generated after creating an event subscription successfully.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "status": {
            "default": false,
            "description": "Whether or not to update on each fax message status.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "target_id": {
            "description": "The ID of the specific target for which events should be sent.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "target_type": {
            "description": "The target's type.",
            "enum": [
              "callcenter",
              "department",
              "office",
              "unknown",
              "user",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          },
          "webhook": {
            "$ref": "#/components/schemas/protos.webhook.WebhookProto",
            "description": "The webhook's ID, which is generated after creating a webhook successfully.",
            "type": [
              "null",
              "object"
            ]
          },
          "websocket": {
            "$ref": "#/components/schemas/protos.websocket.WebsocketProto",
            "description": "The websocket's ID, which is generated after creating a websocket successfully.",
            "type": [
              "null",
              "object"
            ]
          }
        },
        "title": "Fax event subscription.",
        "type": "object"
      },
      "protos.fax_event_subscription.UpdateFaxEventSubscription": {
        "properties": {
          "direction": {
            "description": "The fax direction this event subscription subscribes to.",
            "enum": [
              "all",
              "inbound",
              "outbound",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          },
          "enabled": {
            "description": "Whether or not the fax event subscription is enabled.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "endpoint_id": {
            "description": "The logging endpoint's ID, which is generated after creating a webhook or websocket successfully. If you plan to pair this event subscription with another logging endpoint,\nplease provide a valid webhook ID here.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "status": {
            "description": "Whether or not to update on each fax message status.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "target_id": {
            "description": "The ID of the specific target for which events should be sent.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "target_type": {
            "description": "The target's type.",
            "enum": [
              "callcenter",
              "department",
              "office",
              "unknown",
              "user",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          }
        },
        "type": "object"
      },
      "protos.signature.SignatureProto": {
        "properties": {
          "algo": {
            "description": "The hash algorithm used to compute the signature.",
            "type": [
              "null",
              "string"
            ]
          },
          "secret": {
            "description": "[single-line only]\n\nThe secret string that will be used to sign the payload.",
            "type": [
              "null",
              "string"
            ]
          },
          "type": {
            "description": "The signature token type.\n\n(i.e. `jwt`)",
            "type": [
              "null",
              "string"
            ]
          }
        },
        "title": "Signature settings.",
        "type": "object"
      },
      "protos.webhook.WebhookProto": {
        "properties": {
          "hook_url": {
            "description": "The webhook's URL. Triggered events will be sent to the url provided here.",
            "type": [
              "null",
              "string"
            ]
          },
          "id": {
            "description": "The webhook's ID, which is generated after creating a webhook successfully.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "signature": {
            "$ref": "#/components/schemas/protos.signature.SignatureProto",
            "description": "Webhook's signature containing the secret.",
            "type": [
              "null",
              "object"
            ]
          }
        },
        "title": "Webhook.",
        "type": "object"
      },
      "protos.websocket.WebsocketProto": {
        "properties": {
          "id": {
            "description": "The websocket's ID, which is generated after creating a websocket successfully.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "signature": {
            "$ref": "#/components/schemas/protos.signature.SignatureProto",
            "description": "Websocket's signature containing the secret.",
            "type": [
              "null",
              "object"
            ]
          },
          "websocket_url": {
            "description": "The websocket's URL. Users need to connect to this url to get event payloads via websocket.",
            "type": [
              "null",
              "string"
            ]
          }
        },
        "title": "Websocket.",
        "type": "object"
      }
    },
    "securitySchemes": {
      "bearer_token": {
        "description": "The API key can be put in the Authorization header.\ni.e. Authorization: Bearer <api_key>",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Dialpad's APIs for customer and third-party developer use",
    "title": "Dialpad",
    "version": "v2",
    "x-logo": {
      "altText": "Dialpad",
      "url": "https://storage.googleapis.com/dialpad_openapi_specs/logo.png"
    }
  },
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/subscriptions/fax/{id}": {
      "patch": {
        "deprecated": false,
        "description": "Updates a fax event subscription by id.\n\nRequires scope: ``fax_message``\n\nRate limit: 1200 per minute.",
        "operationId": "webhook_fax_event_subscription.update",
        "parameters": [
          {
            "description": "The event subscription's ID, which is generated after creating an event subscription successfully.",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "format": "int64",
              "type": "integer"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/protos.fax_event_subscription.UpdateFaxEventSubscription",
                "type": "object"
              }
            }
          }
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "examples": {
                  "json_example": {
                    "value": {
                      "direction": "inbound",
                      "enabled": false,
                      "id": "5620703441190912",
                      "status": false,
                      "webhook": {
                        "hook_url": "https://test2.com",
                        "id": "6746603348033536",
                        "signature": {
                          "algo": "HS256",
                          "secret": "random",
                          "type": "jwt"
                        }
                      }
                    }
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/protos.fax_event_subscription.FaxEventSubscriptionProto"
                }
              }
            },
            "description": "A successful response"
          }
        },
        "summary": "Fax Event -- Update",
        "tags": [
          "subscriptions"
        ],
        "x-access": [
          "user"
        ],
        "x-ratelimit": [
          [
            20,
            1
          ]
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://dialpad.com"
    },
    {
      "url": "https://sandbox.dialpad.com"
    }
  ],
  "security": [
    {
      "bearer_token": []
    }
  ],
  "x-readme": {
    "apply-tag-changes": true,
    "explorer-enabled": true,
    "proxy-enabled": false
  }
}
```